Webhook Service Detail
GET/partner/notification/:user_code/webhook/setting
Retrieve configuration data for a specific webhook service type.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Success
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": [
{
"group_webhook_setting_idx": 1,
"webhook_service_type": "ms_teams",
"is_active": "Y",
"webhook_url_list": [
""
],
"webhook_email_list": [
""
]
}
]
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | array |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |